org.apache.tiles.request.velocity.render

## Class VelocityRendererBuilder

- java.lang.Object
- - org.apache.tiles.request.velocity.render.VelocityRendererBuilder

-     public final class VelocityRendererBuilder
      extends Object

  Builds a VelocityRenderer.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VelocityRenderer` | `build()` Creates the Velocity renderer.
    `static VelocityRendererBuilder` | `createInstance()` Returns a new instance of the builder.
    `VelocityRendererBuilder` | `setApplicationContext(ApplicationContext applicationContext)` Sets the application context.
    `VelocityRendererBuilder` | `setParameter(String key, String value)` Sets a parameter for the internal servlet.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createInstance

          public static VelocityRendererBuilder createInstance()

      Returns a new instance of the builder.
      Returns:
        A new builder.

    - #### setParameter

          public VelocityRendererBuilder setParameter(String key,
                                                      String value)

      Sets a parameter for the internal servlet.
      Parameters:
        `key` - The name of the parameter.
        `value` - The value of the parameter.
      Returns:
        This builder.

    - #### setApplicationContext

          public VelocityRendererBuilder setApplicationContext(ApplicationContext applicationContext)

      Sets the application context.
      Parameters:
        `applicationContext` - The application context.
      Returns:
        This builder.

    - #### build

          public VelocityRenderer build()

      Creates the Velocity renderer.
      Returns:
        The Velocity renderer.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.